%global githash 464d4be3451f3742a00d6503a85d6b3b399b85da
Name:          ecc-25519-java
Version:       1.0.3
Release:       4%{?dist}
Summary:       Java library to use Ed25519 and Curve25518
License:       ASL 2.0
URL:           https://github.com/vRallev/ECC-25519
Source0:       https://github.com/vRallev/ECC-25519/archive/%{githash}/ECC-25519-%{version}.tar.gz

BuildRequires: gradle-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.i2p.crypto:eddsa)
BuildRequires: mvn(org.zeromq:curve25519-java)

BuildArch:     noarch

%description
A library for Java and Android to use Ed25519 and Curve25518.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n ECC-25519-%{githash}
find . -name "*.jar" -print -delete

# Remove bundle curve25519-java and ed25519-java (eddsa)
rm -rf ECC-25519-Java/src/main/java/djb ECC-25519-Java/src/main/java/net/i2p
sed -i "s/compile 'net.i2p.crypto:eddsa:0.1.0'/compile 'net.i2p.crypto:eddsa:0.1.0'\n    compile 'org.zeromq:curve25519-java:0.1.0'/" \
 ECC-25519-Java/build.gradle

sed -i "s/repositories {/repositories {\n    xmvn()/" \
 ECC-25519-Java/build.gradle

# Fix javadoc task
echo '
task javadocs(type: Javadoc) {
    classpath = configurations.compile
    source = sourceSets.main.allJava
}' >> ECC-25519-Java/build.gradle

# Fix pom entries
echo '
group = "net.vrallev.ecc"
version = "%{version}"
' >> ECC-25519-Java/build.gradle

# OSGi support
sed -i "s/apply plugin: 'java'/apply plugin: 'java'\napply plugin: 'osgi'/" \
 ECC-25519-Java/build.gradle

echo '
jar {
    manifest {
        instruction "Bundle-Description", "A library for Java and Android to use Ed25519 and Curve25518."
        instruction "Bundle-License", "http://www.apache.org/licenses/LICENSE-2.0.txt"
        instruction "Import-Package", "djb.*"
        instruction "Import-Package", "net.i2p*"
        instruction "Import-Package", "*"
        instruction "Export-Package", "net.vrallev*"
    }
}' >> ECC-25519-Java/build.gradle

%mvn_file net.vrallev.ecc:%{name} %{name}

%build
cd ECC-25519-Java
%gradle_build -- test javadocs

%install
cd ECC-25519-Java
%mvn_install -J build/docs/javadoc

%files -f ECC-25519-Java/.mfiles
%doc CHANGELOG.md README.md
%license LICENSE

%files javadoc -f ECC-25519-Java/.mfiles-javadoc
%license LICENSE

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 26 2016 gil cattaneo <puntogil@libero.it> 1.0.3-1
- update to 1.0.3

* Wed Nov 04 2015 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm
